function [nodeEdgeMat, edgeNodeMat] = AdjMatDecopose(adjMat)
%decompse a node adjacent matrix into two node-edge matrix.
%adjMat(m,n)=nodeEdgeMat(m,l)*edgeNodeMat(l,n). l is number of edge. 
%adjMat is the node adjacent matrix
%nodeEdgeMat is the node edge matrix
%edgeNodeMat is the edge node matrix

% load DBLP-DBIS-test;
% adjMat = full(PC);
% adjMat = [1,0,0;0,1,1];
[row, col] = size(adjMat);

[u,v] = find(adjMat);
len = length(u);
l = (linspace(1,len,len))';
m = ones(len,1);
%nodeEdgeMat = spconvert([u,l,m]);
%edgeNodeMat = spconvert([l,v,m]);
nodeEdgeMat = sparse(u, l, m, row, len);
edgeNodeMat = sparse(l, v, m, len, col);

end