function [normMat] = NormMatrix(oriMat, isSqrt, type)
%normlized  the matrix in terms of row or col
%oriMat is the original matrix
%isSqrt means whether sqrt normlization
%type is the normalized type. 1 is the column normalization; 2 is the row
%normalization.
%normMat is the normalized matrix.

if(type == 1)
%normalization according to column
    sumVect = sum(oriMat,1);
    if(isSqrt)
        sumVect = power(sumVect,0.5);
    end
    sumVect = 1./sumVect;
    len = length(sumVect);
    l = linspace(1,len,len);
    diagMat = spconvert([l',l',sumVect']);
    normMat = oriMat * diagMat;
else
 %normalization according to row
    sumVect = sum(oriMat,2);
    if(isSqrt)
        sumVect = power(sumVect,0.5);
    end
    sumVect = 1./sumVect;
    len = length(sumVect);
    l = linspace(1,len,len);
    diagMat = spconvert([l',l',sumVect]);
    normMat = diagMat * oriMat;
end

end