function [ simMat ] = PCRW(tranCell, path, beginId)
%function [ simMat ] = PCRW()
%Calculate path-constrained radom work similarity rank. It is NI LAO's work
%   transCell is the transition probility matrix cell. {transMat1, transMat2, ...}
%   path is a row vector. i means transCell[i]; -i means transCell[i]'
%   beginId is the id of beginning node. It is an optional parameter.
%   simMat is the simliarity matrix. 
% 
% load DBLP-DBIS-test;
% rMat1 = full(PA);
% rMat2 = full(PC);
% rMat3 = full(PT);
% tranCell = {CNormPA,CNormPC,CNormPT; RNormPA,RNormPC,RNormPT};
% tranType = [1,2;1,3;1,4];
% path = [-1,1];

    len = length(path);

    calIndex = path(1);
    if(calIndex < 0)
        calMat = cell2mat(tranCell(1,round(abs(calIndex))))';
    else
        calMat = cell2mat(tranCell(2,round(abs(calIndex))));
    end
    if nargin >= 3
        simMat = calMat(beginId,:);
    else
        simMat = calMat;
    end
    clear calMat;

    for i = 2 : len
        calIndex = path(i);
        if(calIndex < 0)
            calMat = cell2mat(tranCell(1,round(abs(calIndex))))';
        else
            calMat = cell2mat(tranCell(2,round(abs(calIndex))));
        end
        simMat = simMat*calMat;
        clear calMat;
    end

end
