function [ simMat ] = PathSim(tranCell, path, beginId, endId)
%function [ simMat ] = PathSim();
%function [ simMat ] = PathSim()
%Calculate path-constrained similarity rank by Sun's work
%   transCell is the adjcent matrix cell. {transMat1, transMat2, ...}
%   beginId is the id of begin node
%   path is a row vector. i means transCell[i]; -i means transCell[i]'
%   simMat is the simliarity matrix. 

% load DBLP-DBIS-test;
% rMat1 = full(PA);
% rMat2 = full(PC);
% rMat3 = full(PT);
% tranCell = {rMat1,rMat2,rMat3};
% tranType = [1,2;1,3;1,4];
% path = [-1,1];

len = length(path);

ind = path(1);
simMat = cell2mat(tranCell(round(abs(ind))));
if(ind<0)
    simMat = simMat';
end

for i = 2:len
    ind = path(i);
    adjMat = cell2mat(tranCell(round(abs(ind))));
    if(ind<0)
        adjMat = adjMat';
    end
    simMat = simMat*adjMat;    
end

% tmp = 1:size(simMat,1);
% idx = sub2ind(size(simMat), tmp, tmp);
% d = simMat(idx);
% [ r, c, v ] = find(simMat);
% v = 2 .* v ./ (d(r)+d(c))';
% simMat = sparse(r,c,v, size(simMat,1), size(simMat,2));

end
