function [ simMat ] = runPathSim( R, path )

    if path(1,1) < 0
        rcnt = size(R{abs(path(1,1))},2);
    else
        rcnt = size(R{path(1,1)},1);
    end
    if path(1,size(path,2)) < 0
        ccnt = size(R{abs(path(1,size(path,2)))},1);
    else
        ccnt = size(R{path(1,size(path,2))},2);
    end
    
    simMat = sparse([],[],[],rcnt,ccnt);
    for i = 1:size(path,1)
        simMat_t = PathSim(R, path(i,:));
        simMat = simMat + simMat_t;
    end
    clear simMat_t;
    
    tmp = 1:size(simMat,1);
    idx = sub2ind(size(simMat), tmp, tmp);
    d = simMat(idx);
    [ r, c, v ] = find(simMat);
    v = 2 .* v ./ (d(r)+d(c))';
    simMat = sparse(r,c,v, size(simMat,1), size(simMat,2));

end